GoldenGateClientCompositeOperations¶
- class oci.golden_gate.GoldenGateClientCompositeOperations(client, **kwargs)¶
This class provides a wrapper around
GoldenGateClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
__init__(client, **kwargs)Creates a new GoldenGateClientCompositeOperations object
Calls
add_connection_lock()and waits for theConnectionacted upon to enter the given state(s).Calls
add_deployment_backup_lock()and waits for theDeploymentBackupacted upon to enter the given state(s).Calls
add_deployment_local_peer()and waits for theWorkRequestto enter the given state(s).Calls
add_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).Calls
cancel_deployment_backup()and waits for theWorkRequestto enter the given state(s).Calls
cancel_deployment_upgrade()and waits for theDeploymentUpgradeacted upon to enter the given state(s).Calls
change_connection_compartment()and waits for theWorkRequestto enter the given state(s).Calls
change_connection_subscription()and waits for theWorkRequestto enter the given state(s).change_database_registration_compartment_and_wait_for_state(...)Calls
change_database_registration_compartment()and waits for theWorkRequestto enter the given state(s).Calls
change_deployment_compartment()and waits for theWorkRequestto enter the given state(s).Calls
change_deployment_subscription()and waits for theWorkRequestto enter the given state(s).Calls
change_pipeline_compartment()and waits for theWorkRequestto enter the given state(s).clone_pipeline_and_wait_for_state(...[, ...])Calls
clone_pipeline()and waits for theWorkRequestto enter the given state(s).Calls
collect_deployment_diagnostic()and waits for theWorkRequestto enter the given state(s).Calls
collect_pipeline_diagnostic()and waits for theWorkRequestto enter the given state(s).Calls
copy_deployment_backup()and waits for theWorkRequestto enter the given state(s).create_certificate_and_wait_for_state(...[, ...])Calls
create_certificate()and waits for theWorkRequestto enter the given state(s).create_connection_and_wait_for_state(...[, ...])Calls
create_connection()and waits for theWorkRequestto enter the given state(s).Calls
create_connection_assignment()and waits for theWorkRequestto enter the given state(s).Calls
create_database_registration()and waits for theWorkRequestto enter the given state(s).create_deployment_and_wait_for_state(...[, ...])Calls
create_deployment()and waits for theWorkRequestto enter the given state(s).Calls
create_deployment_backup()and waits for theWorkRequestto enter the given state(s).create_pipeline_and_wait_for_state(...[, ...])Calls
create_pipeline()and waits for theWorkRequestto enter the given state(s).delete_certificate_and_wait_for_state(...[, ...])Calls
delete_certificate()and waits for theWorkRequestto enter the given state(s).delete_connection_and_wait_for_state(...[, ...])Calls
delete_connection()and waits for theWorkRequestto enter the given state(s).Calls
delete_connection_assignment()and waits for theWorkRequestto enter the given state(s).Calls
delete_database_registration()and waits for theWorkRequestto enter the given state(s).delete_deployment_and_wait_for_state(...[, ...])Calls
delete_deployment()and waits for theWorkRequestto enter the given state(s).Calls
delete_deployment_backup()and waits for theWorkRequestto enter the given state(s).delete_pipeline_and_wait_for_state(pipeline_id)Calls
delete_pipeline()and waits for theWorkRequestto enter the given state(s).Calls
export_deployment_wallet()and waits for theWorkRequestto enter the given state(s).generate_disaster_recovery_precheck_report_and_wait_for_state(...)Calls
generate_disaster_recovery_precheck_report()and waits for theWorkRequestto enter the given state(s).Calls
import_deployment_wallet()and waits for theWorkRequestto enter the given state(s).migrate_connection_and_wait_for_state(...[, ...])Calls
migrate_connection()and waits for theWorkRequestto enter the given state(s).pause_pipeline_and_wait_for_state(...[, ...])Calls
pause_pipeline()and waits for theWorkRequestto enter the given state(s).refresh_connection_and_wait_for_state(...[, ...])Calls
refresh_connection()and waits for theWorkRequestto enter the given state(s).Calls
remove_connection_lock()and waits for theConnectionacted upon to enter the given state(s).Calls
remove_deployment_backup_lock()and waits for theDeploymentBackupacted upon to enter the given state(s).Calls
remove_deployment_local_peer()and waits for theWorkRequestto enter the given state(s).Calls
remove_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).Calls
reschedule_deployment_upgrade()and waits for theDeploymentUpgradeacted upon to enter the given state(s).restore_deployment_and_wait_for_state(...[, ...])Calls
restore_deployment()and waits for theWorkRequestto enter the given state(s).Calls
rollback_deployment_upgrade()and waits for theWorkRequestto enter the given state(s).start_deployment_and_wait_for_state(...[, ...])Calls
start_deployment()and waits for theWorkRequestto enter the given state(s).start_pipeline_and_wait_for_state(...[, ...])Calls
start_pipeline()and waits for theWorkRequestto enter the given state(s).stop_deployment_and_wait_for_state(...[, ...])Calls
stop_deployment()and waits for theWorkRequestto enter the given state(s).stop_pipeline_and_wait_for_state(...[, ...])Calls
stop_pipeline()and waits for theWorkRequestto enter the given state(s).Calls
switchover_deployment_peer()and waits for theWorkRequestto enter the given state(s).update_connection_and_wait_for_state(...[, ...])Calls
update_connection()and waits for theWorkRequestto enter the given state(s).Calls
update_database_registration()and waits for theWorkRequestto enter the given state(s).update_deployment_and_wait_for_state(...[, ...])Calls
update_deployment()and waits for theWorkRequestto enter the given state(s).Calls
update_deployment_backup()and waits for theDeploymentBackupacted upon to enter the given state(s).update_pipeline_and_wait_for_state(...[, ...])Calls
update_pipeline()and waits for theWorkRequestto enter the given state(s).upgrade_deployment_and_wait_for_state(...[, ...])Calls
upgrade_deployment()and waits for theWorkRequestto enter the given state(s).Calls
upgrade_deployment_upgrade()and waits for theWorkRequestto enter the given state(s).- __init__(client, **kwargs)¶
Creates a new GoldenGateClientCompositeOperations object
- Parameters
client (GoldenGateClient) – The service client which will be wrapped by this object
- add_connection_lock_and_wait_for_state(connection_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_connection_lock()and waits for theConnectionacted upon to enter the given state(s).- Parameters
connection_id (str) –
(required) The OCID of a Connection.
add_resource_lock_details (oci.golden_gate.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_connection_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_deployment_backup_lock_and_wait_for_state(deployment_backup_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_deployment_backup_lock()and waits for theDeploymentBackupacted upon to enter the given state(s).- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
add_resource_lock_details (oci.golden_gate.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_deployment_backup_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_deployment_local_peer_and_wait_for_state(deployment_id, add_deployment_local_peer_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_deployment_local_peer()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
add_deployment_local_peer_details (oci.golden_gate.models.AddDeploymentLocalPeerDetails) – (required) Metadata to add a local deployment
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_deployment_local_peer()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- add_deployment_lock_and_wait_for_state(deployment_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
add_resource_lock_details (oci.golden_gate.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_deployment_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- cancel_deployment_backup_and_wait_for_state(deployment_backup_id, cancel_deployment_backup_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
cancel_deployment_backup()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
cancel_deployment_backup_details (oci.golden_gate.models.CancelDeploymentBackupDetails) – (required) A placeholder for any additional metadata to describe the deployment backup cancel.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
cancel_deployment_backup()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- cancel_deployment_upgrade_and_wait_for_state(deployment_upgrade_id, cancel_deployment_upgrade_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
cancel_deployment_upgrade()and waits for theDeploymentUpgradeacted upon to enter the given state(s).- Parameters
deployment_upgrade_id (str) – (required) A unique Deployment Upgrade identifier.
cancel_deployment_upgrade_details (oci.golden_gate.models.CancelDeploymentUpgradeDetails) – (required) A placeholder for any additional metadata to describe the cancel snooze of deployment upgrade.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
cancel_deployment_upgrade()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_connection_compartment_and_wait_for_state(connection_id, change_connection_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_connection_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
connection_id (str) –
(required) The OCID of a Connection.
change_connection_compartment_details (oci.golden_gate.models.ChangeConnectionCompartmentDetails) – (required) Properties to change the compartment of a Connection.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_connection_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_connection_subscription_and_wait_for_state(change_connection_subscription_details, connection_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_connection_subscription()and waits for theWorkRequestto enter the given state(s).- Parameters
change_connection_subscription_details (oci.golden_gate.models.ChangeConnectionSubscriptionDetails) – (required) Associate a GoldenGate connection with a different subscription.
connection_id (str) –
(required) The OCID of a Connection.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_connection_subscription()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_database_registration_compartment_and_wait_for_state(database_registration_id, change_database_registration_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_database_registration_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
database_registration_id (str) – (required) A unique DatabaseRegistration identifier.
change_database_registration_compartment_details (oci.golden_gate.models.ChangeDatabaseRegistrationCompartmentDetails) – (required) Properties to change the compartment of a DatabaseRegistration.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_database_registration_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_deployment_compartment_and_wait_for_state(deployment_id, change_deployment_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_deployment_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
change_deployment_compartment_details (oci.golden_gate.models.ChangeDeploymentCompartmentDetails) – (required) Properties to change the compartment of a Deployment.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_deployment_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_deployment_subscription_and_wait_for_state(change_deployment_subscription_details, deployment_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_deployment_subscription()and waits for theWorkRequestto enter the given state(s).- Parameters
change_deployment_subscription_details (oci.golden_gate.models.ChangeDeploymentSubscriptionDetails) – (required) Associate a GoldenGate deployment with a different subscription.
deployment_id (str) – (required) A unique Deployment identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_deployment_subscription()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_pipeline_compartment_and_wait_for_state(pipeline_id, change_pipeline_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_pipeline_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
change_pipeline_compartment_details (oci.golden_gate.models.ChangePipelineCompartmentDetails) – (required) Properties to change the compartment of a Pipeline.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_pipeline_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- clone_pipeline_and_wait_for_state(clone_pipeline_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
clone_pipeline()and waits for theWorkRequestto enter the given state(s).- Parameters
clone_pipeline_details (oci.golden_gate.models.ClonePipelineDetails) – (required) Details to clone the pipeline.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
clone_pipeline()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- collect_deployment_diagnostic_and_wait_for_state(deployment_id, collect_deployment_diagnostic_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
collect_deployment_diagnostic()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
collect_deployment_diagnostic_details (oci.golden_gate.models.CollectDeploymentDiagnosticDetails) – (required) Metadata about the deployment diagnostic. This also includes the Object storage information where the diagnostic will be uploaded
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
collect_deployment_diagnostic()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- collect_pipeline_diagnostic_and_wait_for_state(pipeline_id, collect_pipeline_diagnostic_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
collect_pipeline_diagnostic()and waits for theWorkRequestto enter the given state(s).- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
collect_pipeline_diagnostic_details (oci.golden_gate.models.CollectPipelineDiagnosticDetails) – (required) Details for collecting the diagnostic. It includes the object storage information where the diagnostic will be uploaded.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
collect_pipeline_diagnostic()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- copy_deployment_backup_and_wait_for_state(deployment_backup_id, copy_deployment_backup_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
copy_deployment_backup()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
copy_deployment_backup_details (oci.golden_gate.models.CopyDeploymentBackupDetails) – (required) A placeholder for any additional metadata to describe the copy of a Deployment Backup.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
copy_deployment_backup()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_certificate_and_wait_for_state(create_certificate_details, deployment_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
create_certificate_details (oci.golden_gate.models.CreateCertificateDetails) – (required) Specifications to create the certificate to truststore.
deployment_id (str) – (required) A unique Deployment identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_connection_and_wait_for_state(create_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
create_connection_details (oci.golden_gate.models.CreateConnectionDetails) – (required) Specification of the Connection to create.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_connection_assignment_and_wait_for_state(create_connection_assignment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_connection_assignment()and waits for theWorkRequestto enter the given state(s).- Parameters
create_connection_assignment_details (oci.golden_gate.models.CreateConnectionAssignmentDetails) – (required) Specification of the connection assignment to create.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_connection_assignment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_database_registration_and_wait_for_state(create_database_registration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_database_registration()and waits for theWorkRequestto enter the given state(s).- Parameters
create_database_registration_details (oci.golden_gate.models.CreateDatabaseRegistrationDetails) – (required) Specification of the DatabaseRegistration to create.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_database_registration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_deployment_and_wait_for_state(create_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_deployment()and waits for theWorkRequestto enter the given state(s).- Parameters
create_deployment_details (oci.golden_gate.models.CreateDeploymentDetails) – (required) Specifications to create the Deployment.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_deployment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_deployment_backup_and_wait_for_state(create_deployment_backup_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_deployment_backup()and waits for theWorkRequestto enter the given state(s).- Parameters
create_deployment_backup_details (oci.golden_gate.models.CreateDeploymentBackupDetails) – (required) Specification of the DeploymentBackup to create.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_deployment_backup()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_pipeline_and_wait_for_state(create_pipeline_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_pipeline()and waits for theWorkRequestto enter the given state(s).- Parameters
create_pipeline_details (oci.golden_gate.models.CreatePipelineDetails) – (required) Specification of the pipeline to create.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_pipeline()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_certificate_and_wait_for_state(deployment_id, certificate_key, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_certificate()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
certificate_key (str) – (required) A unique certificate identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_certificate()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_connection_and_wait_for_state(connection_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
connection_id (str) –
(required) The OCID of a Connection.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_connection_assignment_and_wait_for_state(connection_assignment_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_connection_assignment()and waits for theWorkRequestto enter the given state(s).- Parameters
connection_assignment_id (str) –
(required) The OCID of the Connection Assignment.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_connection_assignment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_database_registration_and_wait_for_state(database_registration_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_database_registration()and waits for theWorkRequestto enter the given state(s).- Parameters
database_registration_id (str) – (required) A unique DatabaseRegistration identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_database_registration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_deployment_and_wait_for_state(deployment_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_deployment()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_deployment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_deployment_backup_and_wait_for_state(deployment_backup_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_deployment_backup()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_deployment_backup()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_pipeline_and_wait_for_state(pipeline_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_pipeline()and waits for theWorkRequestto enter the given state(s).- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_pipeline()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- export_deployment_wallet_and_wait_for_state(deployment_id, export_deployment_wallet_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
export_deployment_wallet()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
export_deployment_wallet_details (oci.golden_gate.models.ExportDeploymentWalletDetails) – (required) Metadata to export the OGG wallet from deployment. This also includes the OCI vault information where the wallet will be exported to
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
export_deployment_wallet()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- generate_disaster_recovery_precheck_report_and_wait_for_state(deployment_id, generate_disaster_recovery_precheck_report_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
generate_disaster_recovery_precheck_report()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
generate_disaster_recovery_precheck_report_details (oci.golden_gate.models.GenerateDisasterRecoveryPrecheckReportDetails) – (required) Parameters for the DR precheck report generation request.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
generate_disaster_recovery_precheck_report()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- import_deployment_wallet_and_wait_for_state(deployment_id, import_deployment_wallet_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
import_deployment_wallet()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
import_deployment_wallet_details (oci.golden_gate.models.ImportDeploymentWalletDetails) – (required) Metadata to import wallet to deployment. This also includes the OCI Vault information where the wallet will be imported from
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
import_deployment_wallet()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- migrate_connection_and_wait_for_state(connection_id, migrate_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
migrate_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
connection_id (str) –
(required) The OCID of a Connection.
migrate_connection_details (oci.golden_gate.models.MigrateConnectionDetails) – (required) Details of the migrated Connection.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
migrate_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- pause_pipeline_and_wait_for_state(pipeline_id, pause_pipeline_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
pause_pipeline()and waits for theWorkRequestto enter the given state(s).- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
pause_pipeline_details (oci.golden_gate.models.PausePipelineDetails) – (required) Details to pause the pipeline.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
pause_pipeline()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- refresh_connection_and_wait_for_state(connection_id, refresh_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
refresh_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
connection_id (str) –
(required) The OCID of a Connection.
refresh_connection_details (oci.golden_gate.models.RefreshConnectionDetails) – (required) Details of refresh external Connection attributes.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
refresh_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_connection_lock_and_wait_for_state(connection_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_connection_lock()and waits for theConnectionacted upon to enter the given state(s).- Parameters
connection_id (str) –
(required) The OCID of a Connection.
remove_resource_lock_details (oci.golden_gate.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_connection_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_deployment_backup_lock_and_wait_for_state(deployment_backup_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_deployment_backup_lock()and waits for theDeploymentBackupacted upon to enter the given state(s).- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
remove_resource_lock_details (oci.golden_gate.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_deployment_backup_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_deployment_local_peer_and_wait_for_state(deployment_id, remove_deployment_local_peer_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_deployment_local_peer()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
remove_deployment_local_peer_details (oci.golden_gate.models.RemoveDeploymentLocalPeerDetails) – (required) Metadata to remove a local deployment peer
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_deployment_local_peer()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_deployment_lock_and_wait_for_state(deployment_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_deployment_lock()and waits for theDeploymentacted upon to enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
remove_resource_lock_details (oci.golden_gate.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_deployment_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- reschedule_deployment_upgrade_and_wait_for_state(deployment_upgrade_id, reschedule_deployment_upgrade_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
reschedule_deployment_upgrade()and waits for theDeploymentUpgradeacted upon to enter the given state(s).- Parameters
deployment_upgrade_id (str) – (required) A unique Deployment Upgrade identifier.
reschedule_deployment_upgrade_details (oci.golden_gate.models.RescheduleDeploymentUpgradeDetails) – (required) Properties to reschedule DeploymentUpgrade.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
reschedule_deployment_upgrade()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- restore_deployment_and_wait_for_state(deployment_backup_id, restore_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
restore_deployment()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
restore_deployment_details (oci.golden_gate.models.RestoreDeploymentDetails) – (required) A placeholder for any additional metadata to describe the deployment restore.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
restore_deployment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- rollback_deployment_upgrade_and_wait_for_state(deployment_upgrade_id, rollback_deployment_upgrade_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
rollback_deployment_upgrade()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_upgrade_id (str) – (required) A unique Deployment Upgrade identifier.
rollback_deployment_upgrade_details (oci.golden_gate.models.RollbackDeploymentUpgradeDetails) – (required) A placeholder for any additional metadata to describe the deployment rollback.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
rollback_deployment_upgrade()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- start_deployment_and_wait_for_state(deployment_id, start_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
start_deployment()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
start_deployment_details (oci.golden_gate.models.StartDeploymentDetails) – (required) A placeholder for any additional metadata to describe the deployment start.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
start_deployment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- start_pipeline_and_wait_for_state(pipeline_id, start_pipeline_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
start_pipeline()and waits for theWorkRequestto enter the given state(s).- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
start_pipeline_details (oci.golden_gate.models.StartPipelineDetails) – (required) Details to start Pipeline.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
start_pipeline()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- stop_deployment_and_wait_for_state(deployment_id, stop_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
stop_deployment()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
stop_deployment_details (oci.golden_gate.models.StopDeploymentDetails) – (required) A placeholder for any additional metadata to describe the deployment stop.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
stop_deployment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- stop_pipeline_and_wait_for_state(pipeline_id, stop_pipeline_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
stop_pipeline()and waits for theWorkRequestto enter the given state(s).- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
stop_pipeline_details (oci.golden_gate.models.StopPipelineDetails) – (required) Details to stop the pipeline.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
stop_pipeline()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- switchover_deployment_peer_and_wait_for_state(deployment_id, switchover_deployment_peer_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
switchover_deployment_peer()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
switchover_deployment_peer_details (oci.golden_gate.models.SwitchoverDeploymentPeerDetails) – (required) Metadata to switchover a deployment to a peer
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
switchover_deployment_peer()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_connection_and_wait_for_state(connection_id, update_connection_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_connection()and waits for theWorkRequestto enter the given state(s).- Parameters
connection_id (str) –
(required) The OCID of a Connection.
update_connection_details (oci.golden_gate.models.UpdateConnectionDetails) – (required) The new Connection specifications to apply.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_connection()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_database_registration_and_wait_for_state(database_registration_id, update_database_registration_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_database_registration()and waits for theWorkRequestto enter the given state(s).- Parameters
database_registration_id (str) – (required) A unique DatabaseRegistration identifier.
update_database_registration_details (oci.golden_gate.models.UpdateDatabaseRegistrationDetails) – (required) The new DatabaseRegistration specifications to apply.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_database_registration()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_deployment_and_wait_for_state(deployment_id, update_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_deployment()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
update_deployment_details (oci.golden_gate.models.UpdateDeploymentDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_deployment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_deployment_backup_and_wait_for_state(deployment_backup_id, update_deployment_backup_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_deployment_backup()and waits for theDeploymentBackupacted upon to enter the given state(s).- Parameters
deployment_backup_id (str) – (required) A unique DeploymentBackup identifier.
update_deployment_backup_details (oci.golden_gate.models.UpdateDeploymentBackupDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_deployment_backup()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_pipeline_and_wait_for_state(pipeline_id, update_pipeline_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_pipeline()and waits for theWorkRequestto enter the given state(s).- Parameters
pipeline_id (str) –
(required) The OCID of the pipeline created.
update_pipeline_details (oci.golden_gate.models.UpdatePipelineDetails) – (required) The existing pipeline specifications to apply.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_pipeline()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- upgrade_deployment_and_wait_for_state(deployment_id, upgrade_deployment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
upgrade_deployment()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_id (str) – (required) A unique Deployment identifier.
upgrade_deployment_details (oci.golden_gate.models.UpgradeDeploymentDetails) – (required) A placeholder for any additional metadata to describe the deployment upgrade.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
upgrade_deployment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- upgrade_deployment_upgrade_and_wait_for_state(deployment_upgrade_id, upgrade_deployment_upgrade_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
upgrade_deployment_upgrade()and waits for theWorkRequestto enter the given state(s).- Parameters
deployment_upgrade_id (str) – (required) A unique Deployment Upgrade identifier.
upgrade_deployment_upgrade_details (oci.golden_gate.models.UpgradeDeploymentUpgradeDetails) – (required) A placeholder for any additional metadata to describe the deployment upgrade.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
upgrade_deployment_upgrade()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait